//饿了么UI
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'dayjs/locale/zh-cn'

//泓创私有组件库
import HcVue3UI from 'hc-vue3-ui'
import 'hc-vue3-ui/dist/index.css'
import 'hc-vue3-ui/style/index.scss'

//图标
import 'remixicon/fonts/remixicon.css'

//文档组件配置
import DefaultTheme from 'vitepress/theme';
import DemoBlock from '@ruabick/vitepress-demo-block';
import '@ruabick/vitepress-demo-block/dist/style.css';
import './var.scss';

export default {
  ...DefaultTheme,
  enhanceApp({ app, router, siteData }) {
      app.use(ElementPlus, {
          locale: zhCn,
      })
      app.use(HcVue3UI)
      app.component('demo', DemoBlock);
  },
};
