---
map:
path: /components/autocomplete/index
---

# 自动补全输入框

`HcAutoComplete` 基于 `element-plus` 的 `el-autocomplete` 组件封装。

## demo 示例

<demo src="./demo.vue"></demo>

## props 参数

| 名称          | 类型      | 默认值      | 可选值         | 说明        |
|-------------|---------|----------|-------------|-----------|
| v-model     | String  | -        | -           | 双向绑定的选中值  |
| datas       | Array   | -        | -           | 数据的数组集合   |
| keys        | String  | userName | -           | 筛选时的key   |
| placeholder | String  | 请选择或输入   | -           | 占位提示符     |
| block       | Boolean | true     | true/ false | 宽度是否占满    |
| ui          | String  | -        | -           | 附加class样式 |


## emit 事件

| 名称     | 返回类型   | 说明      |
|--------|--------|---------|
| change | String | 选择事件被触发 |

