---
map:
path: /components/context-menu/index
---

# 鼠标右键菜单

此组件目前仅支持一级菜单

## demo 示例

<demo src="./demo.vue"></demo>

## props 参数

| 名称    | 类型     | 默认值 | 可选值 | 说明           |
|-------|--------|-----|-----|--------------|
| datas | Array  | -   | -   | 菜单数据，具体参数见下方 |
| ui    | String | -   | -   | 附加class样式    |


## datas 参数

| 名称    | 说明                    |
|-------|-----------------------|
| key   | 唯一 key                |
| label | 菜单名称                  |
| icon  | 图标字符串，参考 Icon 组件的使用说明 |

## slot 插槽

| 名称    | 说明                            |
|-------|-------------------------------|
| key   | 动态插槽，以  datas 内的唯一key，作为插槽key |

## emit 事件

| 名称         | 返回类型   | 说明                 |
|------------|--------|--------------------|
| closed     | -      | 菜单被关闭              |
| item-click | Object | 菜单被点击，返回选中项的菜单对象数据 |
