---
map:
path: /components/icon/index
---

# 图标

`HcIcon` 基于 `remixicon.cn` 封装，图标库地址：[https://remixicon.cn/](https://remixicon.cn/)

## demo 示例

<demo src="./demo.vue" desc="填写名称时，请去除头和尾，如 ri-home-line => home，若尾部没有 -line，请将 line 参数设为 false"></demo>

## props 参数

| 名称   | 类型      | 默认值   | 可选值         | 说明        |
|------|---------|-------|-------------|-----------|
| name | String  | -     | -           | 图标名       |
| fill | Boolean | false | true/ false | 是否填充      |
| line | Boolean | true  | true/ false | 是否线模式     |
| ui   | String  | -     | -           | 附加class样式 |
