---
map:
path: /components/img/index
---

# 图片

`HcImg` 基于 `element-plus` 的 `el-image` 组件封装。

## demo 示例

<demo src="./demo.vue" desc="只是增加了一个 crossOrigin='anonymous' 图片跨域检测，用于截图时的处理"></demo>

## props 参数

| 名称    | 类型            | 默认值   | 可选值                                | 说明                                                                                        |
|-------|---------------|-------|------------------------------------|-------------------------------------------------------------------------------------------|
| src   | String        | -     | -                                  | 图片源地址，同原生属性一致                                                                             |
| srcs  | Array         | -     | -                                  | 开启图片预览功能                                                                                  |
| index | String/Number | -1    | -                                  | 初始预览图像索引，小于 srcs 的长度                                                                      |
| fit   | String        | cover | fill、contain、cover、none、scale-down | 确定图片如何适应容器框，同原生 [object-fit](https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit) |
| ui    | String        | -     | -                                  | 附加class样式                                                                                 |
