---
map:
path: /components/online-office/index
---

# online-office

在使用此组件之前，需要先调用一个线上的js文件

地址： http://47.110.251.215:6831/web-apps/apps/api/documents/api.js

```html
<script type='text/javascript' src='http://47.110.251.215:6831/web-apps/apps/api/documents/api.js'></script>
```


## demo 示例

<demo src="./demo.vue"></demo>


## props 参数

| 名称         | 类型      | 默认值                                                            | 可选值                                   | 说明          |
|------------|---------|----------------------------------------------------------------|---------------------------------------|-------------|
| ui         | String  | -                                                              | -                                     | 附加 class 类名 |
| isEdit     | Boolean | true                                                           | true / false                          | 可否编辑        |
| lang       | String  | zh-CN                                                          | -                                     | 语言          |
| src        | String  | -                                                              | -                                     | 文件地址        |
| url        | String  | http://47.110.251.215:8090/blade-manager/exceltab/callbackSave | -                                     | 编辑保存地址      |
| title      | String  | -                                                              | -                                     | 标题          |
| type       | String  | docx                                                           | 见下文                                   | 文件类型        |
| isPrint    | Boolean | false                                                          | true / false                          | 可否打印        |
| isDownload | Boolean | true                                                           | true / false                          | 可否下载        |
| key        | String  | -                                                              | -                                     | 文件key       |
| model      | String  | -                                                              | -                                     | model       |
| userInfo   | Object  | -                                                              | 必要字段 `{user_id: xxx, user_name: xxx}` | 当前用户信息      |


<div class="tip custom-block" style="padding-top: 8px">

文件类型 type：`doc`, `docm`, `docx`, `dot`, `dotm`, `dotx`, `epub`, `fodt`, `htm`, `html`, `mht`, `odt`, `ott`, `pdf`, `rtf`, `txt`, `djvu`, `xps`, `csv`, `fods`, `ods`, `ots`, `xls`, `xlsm`, `xlsx`, `xlt`, `xltm`, `xltx`,`fodp`, `odp`, `otp`, `pot`, `potm`, `potx`, `pps`, `ppsm`, `ppsx`, `ppt`, `pptm`, `pptx`

</div>

