---
map:
path: /components/page/index
---

# 分页

`HcImg` 基于 `element-plus` 的 `el-pagination` 组件封装。

## demo 示例

<demo src="./demo.vue"></demo>


## props 参数

| 名称    | 类型     | 默认值                                | 可选值                        | 说明             |
|-------|--------|------------------------------------|----------------------------|----------------|
| ui    | String | -                                  | -                          | 附加 class 类名    |
| sizes | Array  | [10, 20, 30, 40, 50]               | -                          | 每页显示个数选择器的选项设置 |
| pages | Object | `{current: 1, size: 10, total: 0}` | -                          | 分页数据，具体参数见下文说明 |
| align | String | flex-end                           | flex-start、center、flex-end | 所在位置           |


## pages 参数

| 名称      | 类型     | 默认值 | 可选值 | 说明  |
|---------|--------|-----|-----|-----|
| current | Number | 1   | -   | 当前页 |
| size    | Number | 10  | -   | 条数  |
| total   | Number | 0   | -   | 总条数 |


## emit 事件

| 名称      | 返回类型   | 返回数据                         | 说明        |
|---------|--------|------------------------------|-----------|
| change  | Object | `{current: 当前页, size: 每页条数}` | 页码或条数改变事件 |
