---
map:
path: /components/tab-card/index
---

# 新选项卡片 HcTabCard

`HcTabCard` 基于 `HcNewCard` 组件的封装。

## 示例

<div class="demo-bg-body">

<demo src="./demo.vue"></demo>

</div>


## props 参数

| 名称        | 类型              | 默认值   | 可选值         | 说明      |
|-----------|-----------------|-------|-------------|---------|
| tabs      | Array           | -     | -           | 选项卡数组数据 |
| tabKey    | String / Number | '1'   | -           | 选项卡选中项  |
| scrollbar | Boolean         | false | true/ false | 是否有滚动框  |
| disabled  | Boolean         | false | true/ false | 是否禁用    |


## slot 插槽

| 名称     | 说明       |
|--------|----------|
| header | 自定义标题栏   |
| extra  | 自定义标题栏右边 |
| search | 自定义搜索框区域 |
| action | 自定义底部区域  |


## emit 事件

| 名称     | 类型     | 说明       |
|--------|--------|----------|
| change | Object | 当前选中项的对象 |
