---
map:
path: /components/tabs-simple/index
---

# 选项卡片

`HcTabsSimple` 基于 `element-plus` 的 `el-tabs`、 `el-tab-pane` 组件封装。


## demo 示例


<div class="demo-bg-body">

<demo src="./demo.vue"></demo>

</div>

## props 参数

| 名称           | 类型              | 默认值   | 可选值        | 说明                       |
|--------------|-----------------|-------|------------|--------------------------|
| ui           | String          | -     | -          | 附加 class 类名              |
| datas        | Array           | -     | -          | 选项卡数据                    |
| cur          | String / Number | -     | -          | 当前选项                     |
| noDropShadow | Boolean         | false | false/true | 是否关闭阴影，用于解决在某些浏览器上的兼容性问题 |


## datas 参数

| 名称    | 类型              | 默认值 | 可选值 | 说明                |
|-------|-----------------|-----|-----|-------------------|
| key   | String / Number | -   | -   | 唯一key             |
| icon  | String          | -   | -   | 图标字符串，具体用法，参考图标组件 |
| label | String          | -   | -   | 名称                |


## slot 插槽

| 名称    | 说明                                           |
|-------|----------------------------------------------|
| key   | 动态插槽，以  datas 内的唯一key，作为插槽key，但是会有 `tab-` 前缀 |


## emit 事件

| 名称       | 返回类型            | 返回数据     | 说明       |
|----------|-----------------|----------|----------|
| tabClick | String / Number | 当前选项的key | 选项卡被切换事件 |
