export const sidebar = {
    'components': [
        {
            text: '组件列表',
            items: [
                {text: 'HcAppConfig', link: '/components/app-config/index'},
                {text: '卡片', link: '/components/card/index'},
                {text: '副卡片', link: '/components/card-item/index'},
                {text: '新卡片', link: '/components/new-card/index'},
                {text: '选项卡片', link: '/components/tabs-simple/index'},
                {text: '新选项卡片', link: '/components/tab-card/index'},
                {text: '图标', link: '/components/icon/index'},
                {text: '表格', link: '/components/table/index'},
                {text: '分页', link: '/components/page/index'},
                {text: '懒加载树', link: '/components/lazy-tree/index'},
                {text: '全加载树', link: '/components/data-tree/index'},
                {text: '虚拟化树', link: '/components/tree-v2/index'},
                {text: '弹窗框', link: '/components/dialog/index'},
                {text: '新开关', link: '/components/new-switch/index'},
                {text: '鼠标右键菜单', link: '/components/context-menu/index'},
                {text: '步进器', link: '/components/counter/index'},
                {text: '日期时间选择器', link: '/components/date-picker/index'},
                {text: '自动补全输入框', link: '/components/autocomplete/index'},
                {text: '图片', link: '/components/img/index'},
                {text: '列表行', link: '/components/list-item/index'},
                {text: 'pdf文件预览', link: '/components/pdf/index'},
                {text: '文件上传', link: '/components/upload-file/index'},
                {text: '表单文件上传', link: '/components/form-upload/index'},
                {text: '抽屉', link: '/components/drawer/index'},
                {text: '缩放拖动弹窗', link: '/components/drag-modal/index'},
                {text: '拖动缩放组件', link: '/components/drag-node/index'},
                {text: 'Loading', link: '/components/loading/index'},
                {text: '小菜单', link: '/components/menu-simple/index'},
                {text: '无数据状态', link: '/components/no-data/index'},
                {text: '状态提示', link: '/components/status/index'},
                {text: 'Message', link: '/components/message/index'},
                {text: '标题栏扩展', link: '/components/page-header/index'},
                {text: 'online-office', link: '/components/online-office/index'},
                {text: 'Lottie', link: '/components/lottie/index'},
            ],
        },
    ],
    'style': [
        {
            text: '样式说明',
            items: [
                {text: '基础说明', link: '/style/base/index'},
                {text: 'index.scss', link: '/style/index_scss/index'},
                {text: '_var.scss', link: '/style/var_scss/index'},
                {text: '_color.scss', link: '/style/color_scss/index'},
                {text: '_text.scss', link: '/style/text_scss/index'},
                {text: '_main.scss', link: '/style/main_scss/index'},
                {text: 'element.scss', link: '/style/element_scss/index'},
                {text: 'theme.scss', link: '/style/theme_scss/index'},
                {text: 'tools.scss', link: '/style/tools_scss/index'},
                {text: 'tree.scss', link: '/style/tree_scss/index'},
            ],
        },
    ],
    'api': [
        {
            text: 'API函数',
            items: [
                {text: '本地缓存', link: '/api/storage/index'},
                {text: '发起请求', link: '/api/request/index'},
                {text: '扩展方法', link: '/api/tools/index'}
            ],
        },
    ]
};
