---
map:
path: /components/card-item/index
---

# 副卡片 HcCardItem

副卡片，通常用于同一个页面，有多个卡片的情况

## 基础卡片

<demo src="./demo/demo.vue"></demo>

## 有标题的卡片

<demo src="./demo/demo1.vue"></demo>

## 标题栏右边

<demo src="./demo/demo2.vue"></demo>

## 自定义插槽

<demo src="./demo/demo3.vue"></demo>


## props 参数

| 名称         | 类型              | 默认值   | 可选值         | 说明                         |
|------------|-----------------|-------|-------------|----------------------------|
| title      | String / Number | -     | -           | 卡片标题                       |
| extraText  | String / Number | -     | -           | 卡片标题栏右边                    |
| scrollbar  | Boolean         | false | true/ false | 是否有滚动框                     |
| ui         | String          | -     | -           | 卡片的附加class样式               |
| bodyUi     | String          | -     | -           | 卡片内容区域的附加class样式           |


## slot 插槽

| 名称     | 说明       |
|--------|----------|
| header | 自定义标题栏   |
| extra  | 自定义标题栏右边 |
| action | 自定义底部区域  |

