---
map:
path: /components/drawer/index
---

# 抽屉

`HcDialog` 基于 `element-plus` 的 `el-drawer` 组件封装。

## 示例

<demo src="./demo.vue"></demo>

## props 参数

| 名称         | 类型               | 默认值   | 可选值                   | 说明                                                                                |
|------------|------------------|-------|-----------------------|-----------------------------------------------------------------------------------|
| ui         | String           | -     | -                     | 附加 calss 类名                                                                       |
| uis        | String           | -     | -                     | 遮罩层的自定义类名                                                                         |
| show       | Boolean          | false | true/ false           | 是否显示                                                                              |
| toId       | String  / Number | -     | -                     | 挂载到哪个元素下，值为元素ID                                                                   |
| title      | String / Number  | -     | -                     | 标题                                                                                |
| extraText  | String /  Number | -     | -                     | 标题栏右边                                                                             |
| direction  | String           | ttb   | rtl / ltr / ttb / btt | 弹出方向                                                                              |
| scrollbar  | Boolean          | false | true/ false           | 是否有滚动条                                                                            |
| actionSize | String /  Number | lg    | -                     | 尺寸大小，参考 `卡片` 组件的同参数                                                               |
| size       | String /  Number | 100%  | -                     | Drawer 窗体的大小, 当使用 number 类型时, 以像素为单位, 当使用 string 类型时, 请传入 'x%', 否则便会以 number 类型解释 |
| isCard     | Boolean          | true  | true/ false           | 是否内置卡片组件                                                                          |
| actionUi   | String           | -     | -                     | 底部插槽的附加class样式，参考 `卡片` 组件的同参数                                                     |


## emit 事件

| 名称            | 返回类型   | 返回数据        | 说明     |
|---------------|--------|-------------|--------|
| close         | -      | -           | 抽屉关闭事件 |


## slot 插槽

| 名称     | 说明       |
|--------|----------|
| header | 自定义标题栏   |
| extra  | 自定义标题栏右边 |
| search | 自定义搜索框区域 |
| action | 自定义底部区域  |


## ref 方法函数

| 名称          | 类型 | 默认值 | 可选值 | 说明   |
|-------------|----|-----|-----|------|
| handleClose | -  | -   | -   | 关闭抽屉 |

