---
map:
path: /components/lottie/index
---

# Lottie

`HcLottie` 是基于 `lottie-web` 封装。


## demo 示例

<demo src="./demo.vue"></demo>


## props 参数

| 名称       | 类型      | 默认值  | 可选值            | 说明                    |
|----------|---------|------|----------------|-----------------------|
| type     | String  | -    | warning、delete | 类型                    |
| datas    | Object  | -    | -              | lottie动画数据（json文件的数据） |
| loop     | Boolean | true | true  / false  | 循环播放                  |
| autoplay | Boolean | true | true  / false  | 自动播放                  |
| options  | Object  | -    | -              | 其它配置项                 |


## 方法 参数

| 名称        | 返回类型 | 返回数据 | 说明         |
|-----------|------|------|------------|
| lottieDom | -    | -    | Lottie的ref |


<div class="tip custom-block" style="padding-top: 8px">

`options` 和 `lottieDom` 的相关使用，请查看 lottie 官方文档 (https://github.com/airbnb/lottie-web)[https://github.com/airbnb/lottie-web]

</div>
