---
map:
path: /components/menu-simple/index
---

# 小菜单

小巧简洁的菜单组件

## demo 示例

<demo src="./demo.vue"></demo>


## props 参数

| 名称    | 类型            | 默认值 | 可选值 | 说明                    |
|-------|---------------|-----|-----|-----------------------|
| ui    | String        | -   | -   | 附加 class 类名           |
| datas | Array         | -   | -   | 菜单数据                  |
| keys  | String/Number | -   | -   | 默认选中项                 |
| menus | Array         | -   | -   | 右键菜单数据，格式参考 鼠标右键菜单 组件 |
| props | Object        | -   | -   | 菜单数据映射key             |


## props映射key 参数

| 名称    | 类型     | 默认值   | 可选值 | 说明                |
|-------|--------|-------|-----|-------------------|
| key   | String | key   | -   | 唯一key             |
| icon  | String | icon  | -   | 图标字符串，具体用法，参考图标组件 |
| label | String | label | -   | 名称                |
| badge | String | badge | -   | 角标                |


## emit 事件

| 名称      | 返回类型   | 返回数据         | 说明       |
|---------|--------|--------------|----------|
| change  | Object | 当前菜单项的数据     | 菜单被选中事件  |
| menuTap | Object | 当前鼠标右键菜单项的数据 | 鼠标右键菜单事件 |
