---
map:
path: /components/new-card/index
---

# 新卡片 HcNewCard

`HcNewCard` 基于 `HcCard` 组件的封装。

## 基础卡片

<div class="demo-bg-body">

<demo src="./demo/demo.vue"></demo>

</div>

## 有标题的卡片

<div class="demo-bg-body">

<demo src="./demo/demo1.vue"></demo>

</div>

## 标题栏右边

<div class="demo-bg-body">

<demo src="./demo/demo2.vue"></demo>

</div>

## 自定义插槽

<div class="demo-bg-body">

<demo src="./demo/demo3.vue"></demo>

</div>


## props 参数

| 名称        | 类型              | 默认值   | 可选值         | 说明               |
|-----------|-----------------|-------|-------------|------------------|
| ui        | String          | -     | -           | 卡片的附加class样式     |
| actionUi  | String          | -     | -           | 底部插槽的附加class样式   |
| bodyUi    | String          | -     | -           | 卡片内容区域的附加class样式 |
| title     | String / Number | -     | -           | 卡片标题             |
| extraText | String / Number | -     | -           | 卡片标题栏右边          |
| scrollbar | Boolean         | false | true/ false | 是否有滚动框           |
| padding   | Boolean         | true  | true/ false | 是否有间距            |


## slot 插槽

| 名称     | 说明       |
|--------|----------|
| header | 自定义标题栏   |
| extra  | 自定义标题栏右边 |
| search | 自定义搜索框区域 |
| action | 自定义底部区域  |

