---
map:
path: /components/new-switch/index
---

# 新开关

类似与选项卡的新开关组件

## demo 示例

<demo src="./demo.vue"></demo>


## props 参数

| 名称       | 类型            | 默认值   | 可选值                 | 说明          |
|----------|---------------|-------|---------------------|-------------|
| ui       | String        | -     | -                   | 附加 class 类名 |
| datas    | Array         | -     | -                   | 开关数据        |
| keys     | String/Number | -     | -                   | 默认选中项       |
| size     | String/Number | large | large、default、small | 尺寸          |
| round    | Boolean       | true  | true / false        | 是否为大圆角      |
| disabled | Boolean       | false | true / false        | 是否禁用        |


## datas 参数

| 名称   | 类型     | 默认值 | 可选值 | 说明    |
|------|--------|-----|-----|-------|
| key  | String | -   | -   | 唯一key |
| name | String | -   | -   | 名称    |
| text | String | -   | -   | 副文本   |


## emit 事件

| 名称      | 返回类型   | 返回数据     | 说明     |
|---------|--------|----------|--------|
| change  | Object | 当前选中项的数据 | 被选中事件  |
