---
map:
path: /style/var_scss/index
---

# 全局变量

`style/app/_var.scss` 文件内的代码如下：

``` scss
$white:   	#ffffff;
$blue:   	#0081ff;
$cyan:   	#37c0fe;
$green:   	#1ECC95;
$purple:   	#8044de;
$mauve:   	#b745cb;
$pink:   	#e03997;
$red:   	#e54d42;
$orange:   	#f37b1d;
$yellow:   	#fbbd08;
$brown:   	#a5673f;
$grey:   	#8799a3;

//基础颜色数组
$colors: (
    'white':    $white,
    'blue':  	$blue,
    'cyan':  	$cyan,
    'green':  	$green,
    'purple':  	$purple,
    'mauve':  	$mauve,
    'pink':  	$pink,
    'red':  	$red,
    'orange':  	$orange,
    'yellow':  	$yellow,
    'brown':  	$brown,
    'grey':  	$grey
);

$gray-a:	#aaaaaa;
$gray-b:    #bbbbbb;
$gray-c:    #cccccc;
$gray-d:    #dddddd;
$gray-e:    #eeeeee;
$gray-f: 	#f8f9fa;
$gray-g: 	#f8fafc;

$grays: (
    'gray':  	$gray-a,
    'gray-a':  	$gray-a,
    'gray-b':  	$gray-b,
    'gray-c':  	$gray-c,
    'gray-d':  	$gray-d,
    'gray-e':  	$gray-e,
    'gray-f':  	$gray-f,
    'gray-g':  	$gray-g
);

//灰度
$dark-1:    #111111;
$dark-2:    #222222;
$dark-3:    #333333;
$dark-4:    #444444;
$dark-5:    #555555;
$dark-6:    #666666;
$dark-7:    #777777;
$dark-8:    #888888;
$dark-9:    #999999;

$darks: (
    'dark':  	$dark-1,
    'dark-1':  	$dark-1,
    'dark-2':  	$dark-2,
    'dark-3':  	$dark-3,
    'dark-4':  	$dark-4,
    'dark-5':  	$dark-5,
    'dark-6':  	$dark-6,
    'dark-7':  	$dark-7,
    'dark-8':  	$dark-8,
    'dark-9':  	$dark-9
);

$inherits: inherit !important;
$initials: initial !important;
```
